GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "daa0c3e9-cea7-4123-9852-717efb561d25",
"private_locations": [
{
"private_location_id": "e9e4c7cc-d933-47a4-bc77-b867209e6240",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "83a98137-ff5c-45f8-92d2-2e5dc0f4c5ab"
},
{
"private_location_id": "d622eeef-d07c-4ea0-8016-ef1964b31c3d",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f033c365-012c-4dde-acbf-537374488d29"
},
{
"private_location_id": "a3f971cd-ac3e-4ca8-9fd6-1bf6ace2de25",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "3be4937e-15d3-451b-8725-c47932825a9d"
}
]
},
{
"access_group": "24e11dcf-92a2-4276-8b78-4044c2a3e2a7",
"private_locations": [
{
"private_location_id": "d622eeef-d07c-4ea0-8016-ef1964b31c3d",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f033c365-012c-4dde-acbf-537374488d29"
},
{
"private_location_id": "a3f971cd-ac3e-4ca8-9fd6-1bf6ace2de25",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "3be4937e-15d3-451b-8725-c47932825a9d"
},
{
"private_location_id": "e9e4c7cc-d933-47a4-bc77-b867209e6240",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "83a98137-ff5c-45f8-92d2-2e5dc0f4c5ab"
}
]
},
{
"access_group": "af5e0b62-dece-4b73-ae87-8739c6436394",
"private_locations": [
{
"private_location_id": "a3f971cd-ac3e-4ca8-9fd6-1bf6ace2de25",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "3be4937e-15d3-451b-8725-c47932825a9d"
},
{
"private_location_id": "d622eeef-d07c-4ea0-8016-ef1964b31c3d",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f033c365-012c-4dde-acbf-537374488d29"
},
{
"private_location_id": "d622eeef-d07c-4ea0-8016-ef1964b31c3d",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f033c365-012c-4dde-acbf-537374488d29"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |